Add an agent script

This API allows you to add an agent script to the list

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample Request

curl --request POST \
     --url https://api-smartflo.tatateleservices.com/v1/dialer/agent_script \
     --header 'accept: application/json' \
     --header 'content-type: application/json'

📘 Important!

Before we begin, note that the * sign denotes the mandatory variables in each table.

Request Variables (Body Params)

The following parameter is required to add an agent script:

Variable NameDescriptionData Type
name*Name of the agent script.string
list_id*List Id where agent script has to be appliedstring
descriptionDescription of agent scriptstring
message*Message for agentstring

Response Variables

The response returned is as following:

Variable NameDescriptionData Type
SuccessThe request success status, the possible values are: True (default) for success. False for failure.Boolean
MessageThe message corresponding to the success status. For example, in 400 Response where the "success" variable pops as True, the message displayed is shown here.String
Body Params
string
required

Name of the agent script

string
required

List Id where agent script has to be applied

string

Description of agent script

string
required

Message for agent

Headers
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json